<?php
/**
 * SEO Expert functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package SEO Expert
 */

if ( ! defined( 'SEO_EXPERT_VERSION' ) ) {
	// Replace the version number of the theme on each release.
	define( 'SEO_EXPERT_VERSION', wp_get_theme()->get( 'Version' ) );
}

if ( ! function_exists( 'seo_expert_setup' ) ) :
	/**
	 * Sets up theme defaults and registers support for various WordPress features.
	 *
	 * Note that this function is hooked into the after_setup_theme hook, which
	 * runs before the init hook. The init hook is too late for some features, such
	 * as indicating support for post thumbnails.
	 */
	function seo_expert_setup() {

		load_theme_textdomain( 'seo-expert', get_template_directory() . '/languages' );

		// Add default posts and comments RSS feed links to head.
		add_theme_support( 'automatic-feed-links' );

		add_theme_support( 'align-wide' );

		add_theme_support( 'woocommerce' );

		// Add support for block styles.
		add_theme_support( 'wp-block-styles' );

		// Enqueue editor styles.
		add_editor_style( 'style.css' );

		// Add support for core custom logo.
		add_theme_support(
			'custom-logo',
			array(
				'height'      => 192,
				'width'       => 192,
				'flex-width'  => true,
				'flex-height' => true,
			)
		);

        add_theme_support( 'custom-background', apply_filters( 'seo_expert_custom_background', array(
            'default-color' => 'ffffff',
            'default-image' => '',
        )));

		// Experimental support for adding blocks inside nav menus
		add_theme_support( 'block-nav-menus' );

		// Add support for experimental link color control.
		add_theme_support( 'experimental-link-color' );

	}
endif;
add_action( 'after_setup_theme', 'seo_expert_setup' );

function seo_expert_scripts() {
    wp_enqueue_style('seo-expert-style', get_stylesheet_uri(), array() );
    wp_enqueue_script('jquery-wow', get_template_directory_uri() . '/js/wow.js', array('jquery'));
    wp_enqueue_style('animate-css', get_template_directory_uri() . '/css/animate.css');

	//font-awesome
	wp_enqueue_style( 'fontawesome', get_template_directory_uri() . '/font-awesome/css/all.css', array(), '6.7.0' );

    wp_enqueue_style( 'owl.carousel-style', get_template_directory_uri().'/css/owl.carousel.css', array(), SEO_EXPERT_VERSION );
	wp_enqueue_script( 'owl.carousel-js', get_template_directory_uri(). '/js/owl.carousel.js', array('jquery') ,SEO_EXPERT_VERSION,true);

    // Custom scripts should depend on JS and jQuery
    wp_enqueue_script('seo-expert-custom-scripts', get_template_directory_uri() . '/js/custom.js',  array('jquery'),'' ,true );
    wp_style_add_data( 'seo-expert-style', 'rtl', 'replace' );
}
add_action( 'wp_enqueue_scripts', 'seo_expert_scripts' );

/**
 * Enqueue block editor style
 */
function seo_expert_block_editor_styles() {

	wp_enqueue_style( 'seo-expert-block-patterns-style-editor', get_theme_file_uri( '/css/block-editor.css' ), false, '1.0', 'all' );
}
add_action( 'enqueue_block_editor_assets', 'seo_expert_block_editor_styles' );


function seo_expert_init_setup() {

    require_once get_theme_file_path( '/inc/customizer.php' );

	// Add block patterns
	require get_template_directory() . '/inc/block-patterns.php';

	/**
     * Demo Import
     */
    require get_parent_theme_file_path( '/inc/get-started/demo-import-settings.php' );

	    if ( ! defined( 'SEO_EXPERT_FREE_THEME_URL' ) ) {
        define( 'SEO_EXPERT_FREE_THEME_URL', 'https://www.seothemesexpert.com/products/seo-expert-theme' );
    }
    if ( ! defined( 'SEO_EXPERT_PRO_THEME_URL' ) ) {
        define( 'SEO_EXPERT_PRO_THEME_URL', 'https://www.seothemesexpert.com/products/seo-website-template' );
    }
    if ( ! defined( 'SEO_EXPERT_FREE_DOC_URL' ) ) {
        define( 'SEO_EXPERT_FREE_DOC_URL', 'https://demo.seothemesexpert.com/documentation/seo-expert/' );
    }
    if ( ! defined( 'SEO_EXPERT_DEMO_THEME_URL' ) ) {
        define( 'SEO_EXPERT_DEMO_THEME_URL', 'https://demo.seothemesexpert.com/seo-expert/' );
    }
    if ( ! defined( 'SEO_EXPERT_RATE_THEME_URL' ) ) {
        define( 'SEO_EXPERT_RATE_THEME_URL', 'https://wordpress.org/support/theme/seo-expert/reviews/#new-post' );
    }
    if ( ! defined( 'SEO_EXPERT_SUPPORT_THEME_URL' ) ) {
        define( 'SEO_EXPERT_SUPPORT_THEME_URL', 'https://wordpress.org/support/theme/seo-expert/' );
    }
    if ( ! defined( 'SEO_EXPERT_THEME_BUNDLE_URL' ) ) {
        define( 'SEO_EXPERT_THEME_BUNDLE_URL', 'https://www.seothemesexpert.com/products/wordpress-theme-bundle' );
    }
}
add_action( 'after_setup_theme', 'seo_expert_init_setup' );


// Show Admin Notice
function seo_expert_promo_notice() {
    if (get_option('seo_expert_notice_dismissed')) {
        return;
    }

    if (isset($_GET['page']) && $_GET['page'] === 'seoexpert-wizard') {
        return;
    }

    $seo_expert_theme = wp_get_theme();
    $seo_expert_theme_title = $seo_expert_theme->get( 'Name' );
    $seo_expert_theme_version = $seo_expert_theme->get( 'Version' );

    ?>
    <div class="notice seo-expert-notice is-dismissible">
        <div>
            <h3>
                <span><?php echo esc_html( '(Version: ' . $seo_expert_theme_version . ')' ); ?></span><br>
                <?php esc_html_e( 'Thank you for choosing,', 'seo-expert'); ?>
                <?php echo esc_html( $seo_expert_theme_title ); ?> <?php esc_html_e( '!!!', 'seo-expert'); ?>
            </h3>
            <p><?php esc_html_e( 'Welcome! You can now easily start building your website using our beautiful and user-friendly themes. No need to worry about setup — with our one-click demo importer, your site can look just like the demo in minutes. All the tools and information you need to get started are right here!', 'seo-expert'); ?></p>
            <a class="button button-primary seo-expert-buy-now" href="<?php echo esc_url(admin_url('themes.php?page=seoexpert-wizard')); ?>" target="_blank">
                <?php esc_html_e( 'Get Started', 'seo-expert') ?>
            </a>
            <a class="button button-primary seo-expert-bundle-button" target="_blank" href="<?php echo esc_url( SEO_EXPERT_THEME_BUNDLE_URL ); ?>">
                <?php echo esc_html__( 'Get All 60+ Themes @ $79', 'seo-expert' ); ?>
            </a>
        </div>
        <div class="seo-expert-image-wrap">
            <img src="<?php echo esc_url(get_stylesheet_directory_uri() . '/screenshot.png'); ?>">
        </div>
        <canvas id="seo-expert-notice-confetti"></canvas>
    </div>
    <?php
}
add_action('admin_notices', 'seo_expert_promo_notice');

add_action('wp_ajax_seo_expert_dismiss_notice', 'seo_expert_dismiss_notice');
function seo_expert_dismiss_notice() {
    update_option('seo_expert_notice_dismissed', true);
    wp_send_json_success();
}

add_action('after_switch_theme', 'seo_expert_reset_notice_on_activation');
function seo_expert_reset_notice_on_activation() {
    delete_option('seo_expert_notice_dismissed');
}

function seo_expert_enqueue_admin_assets() {
    wp_enqueue_script(
        'seo-expert-confetti',
        get_template_directory_uri() . '/inc/get-started/assets/js/confetti/confetti.min.js',
        ['jquery'],
        null,
        true
    );

    wp_enqueue_script(
        'seo-expert-notice-confetti-js',
        get_template_directory_uri() . '/inc/get-started/assets/js/plugin-update-notice.js',
        ['seo-expert-confetti'],
        null,
        true
    );

    wp_enqueue_script(
        'seo-expert-notice-dismiss',
        get_template_directory_uri() . '/inc/get-started/assets/js/notice-dismiss.js',
        ['jquery'],
        null,
        true
    );
}
add_action('admin_enqueue_scripts', 'seo_expert_enqueue_admin_assets');